Subject: Chinese Telnet

From: "L.S.Ng" <[email-masked]>
Date: Fri, 8 Oct 1993 16:47:00 BST

Dear Yang,

I noticed your work in modifying NCSA-Telnet. I understand that the
modified version is 8-bit clean, for the purpose of transferring Chinese
Big5 codes.

I wish to carry out a similar job - plus build into the Telnet program
itself ability to display and input Chinese without the need of KC or
Eten Chinese Systems. I have ftp'ed the source code for NCSA-Telnet to
begin with.
2
I hope to get some tips from you - especially on the modification made
to NCSA-Telnet source-code that enable 8-bit transfer.

The product will be a non-profit/shareware kind of software which I aim
to benefit most people, especially Chinese on the net.

Also, I will design the Telnet for other Chinese codes besides Big5 i.e.
GuoBiao 2312-80 and its variant HZ codes.

In general, my approach will be to rewrite the main.c of NCSA-telnet, to
build a new Interface that handles Chinese, but still I will be making
use of the existing low-level resources such as the interrupt calls etc.

I am a Electronics Engineering BEng 2nd year student in Southampton
University and I am a Malaysian Chinese.  I tried to undertake this
project as part of my coursework, if approved by the department, or just
for the sake of hobby.

Your help would be much appreciated.

Sincerely,
Liangsheng WU (Liang Shing NG)

ps. (This mail is for Mr. Ji-Tzay Yang, please return it if undeliverable.)

Cc. Chinese Computing Network List CCNET-L